Subject: Ticket Assigned - Hello good morning I would like to ask about my order last November 20 I received an email that failed to received it..i was just waiting for a call from delivery team but I didn’t receive any
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 22 Nov 2021 09:09:17 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Hello good morning I would like to ask about my order last November 20 I received an email that failed to received it..i was just waiting for a call from delivery team but I didn’t receive any Contacted

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3425994